package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclCustomerFortunePay;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclCustomerFortunePayMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclCustomerFortunePay record);

    int insertSelective(AclCustomerFortunePay record);

    AclCustomerFortunePay selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclCustomerFortunePay record);

    int updateByPrimaryKey(AclCustomerFortunePay record);

    int updateBatch(List<AclCustomerFortunePay> list);

    int updateBatchSelective(List<AclCustomerFortunePay> list);

    int batchInsert(@Param("list") List<AclCustomerFortunePay> list);

    List<AclCustomerFortunePay> findByWithdrawIds(List<Long> withdrawIds);

    List<AclCustomerFortunePay> findByIds(Long[] payIds);
}